// Define standalone functions
function initializeMetismenu() {
    $('[data-toggle="aiz-side-menu"]').metisMenu();
}

function toggleMobileNav() {
    if (window.matchMedia("(max-width: 1200px)").matches) {
        $("body").addClass("side-menu-closed");
    }
    $('[data-toggle="aiz-mobile-nav"]').on("click", function () {
        if ($("body").hasClass("side-menu-open")) {
            $("body")
                .addClass("side-menu-closed")
                .removeClass("side-menu-open");
        } else if ($("body").hasClass("side-menu-closed")) {
            $("body")
                .removeClass("side-menu-closed")
                .addClass("side-menu-open");
        } else {
            $("body")
                .removeClass("side-menu-open")
                .addClass("side-menu-closed");
        }
    });
    $(".aiz-sidebar-overlay").on("click", function () {
        $("body")
            .removeClass("side-menu-open")
            .addClass("side-menu-closed");
    });
}

function setActiveMenu() {
    $('[data-toggle="aiz-side-menu"] a').each(function () {
        var pageUrl = window.location.href.split(/[?#]/)[0];
        if (this.href == pageUrl || $(this).hasClass("active")) {
            $(this).addClass("active");
            $(this).closest(".aiz-side-nav-item").addClass("mm-active");
            $(this)
                .closest(".level-2")
                .siblings("a")
                .addClass("level-2-active");
            $(this)
                .closest(".level-3")
                .siblings("a")
                .addClass("level-3-active");
        }
    });
}

// Initialize functions
initializeMetismenu();
toggleMobileNav();
setActiveMenu();
